Create or Update a subscription. Each external source could create one subscription for a subscription type.

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Path
subscritpionTypestring(NotificationType)required

type to subscribe, supportted types are PublishData, ReviewStateChanged, PlanShared, ProjectCreated, MasterPlanChanged

Enum:"PublishData""ReviewStateChanged""PlanShared""ProjectCreated""MasterPlanChanged"
Headers
slb-partition-idstringrequired

The data partition id.

Body

subscription

subscriberstringrequired

readable name for client who create the subscription, just for display.

data_sourcestring or null

data source for subscription, only for publish data subscription type.

callback_uristring, (uri)required

callback uri when notification published, the URI should accept a POST method, as we need publish notification content as playload

callback_headersobject or null

Header to call the callback_uri, information provided could be authentication information. For example: {"Authorization": "Bearer *****"} or {"Authorization": "Basic ******"} or {"appkey": "some key"}

Example:
{ "Authorization": "Bearer some_token" }
drill_plan_object_typesArray of strings or null

List of objects the subscription interested in. object type supportted: /well/api/wells
/customParameters/api/custom-parameters
/location/api/surface-locations
/well/api/wellbores
/WellheadAndBop/wellhead-and-bops
/WellBarrier/api/data/v1/well-barriers
/ghg-emissions-footprint/api/configurations
/WellMontage/api/well-montages
/geology/api/formation-tops
/geomechanics/api/mwws
/geomechanics/api/temperatures
/location/api/targets
/Rig/api/rigsets
/Traj/api/trajectories
/well/api/wbgs
/ComposerReverseProxy/SidetrackPoint/api/sidetrack-points
/risks/api/risk-sets
/composer/api/cs/activity-plans
/afe/api/cs/afes
/CasingDesign/casing-designs
/olga-thermal/olga-thermals
/KickTolerance/api/kick-tolerance-criteria
/dynamic-well-control/api/configurations
/TaskManager/api/v1/corporate-deliverables
/well/api/sections
/Schedule/api/l2-activities
/Schedule/api/l3-activities
/Schedule/api/l3-complete-wells
/cementing/api/cementing
/cementing/api/tieback-cementing
/cementing/api/digital-cement-plan
/casing/api/casings
/casing/api/liners
/casing/api/tiebacks
/completionfluid/api/completion-fluids
/drillingfluid/api/drilling-fluid-programs
/evaluation/api/v1/cits
/evaluation/api/v1/evaluations
/Schedule/api/l5-activities
/Schedule/api/l5-completion-runs
/Completion/completion-integrity
/Schedule/api/l5-casing-runs
/Schedule/api/l5-casing-drilling-runs
/Schedule/api/runs
/OperationParameter/api/casing-operation-parameter-sets
/OperationParameter/api/liner-operation-parameter-sets
/OperationParameter/api/tieback-operation-parameter-sets
/Completion/completion-string
/OperationParameter/api/operation-parameter-sets
/BhaBuilder/api/bhas
/BhaBuilder/api/mud-pulse-telemetry-parameter
/zone/api/zones
/well/api/wellbore-completions
/completionplan/api/completion-plans
reporting

contact_emailstring or null, (email)
curl -i -X POST \
  'https://eu-api.delfi.slb.com/drillplan/notifications/v1/notifications/subscriptions/types/{subscritpionType}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '{
    "subscriber": "string",
    "data_source": "string",
    "callback_uri": "http://example.com",
    "callback_headers": {
      "Authorization": "Bearer some_token"
    },
    "drill_plan_object_types": [
      "string"
    ],
    "contact_email": "user@example.com"
  }'

Responses

Success